=== debian/changelog ===
orthanc-wsi (1.1-2build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:03:03 +0100

orthanc-wsi (1.1-2) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 19:27:26 +0100

orthanc-wsi (1.1-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 12 Dec 2021 22:16:43 +0100

orthanc-wsi (1.0-5) unstable; urgency=medium

  [ Adrian Bunk ]
  * Stop forcing C++ 11, dcmtk 3.6.6 needs C++ >= 14

  [ Mathieu Malaterre ]
  * d/rules: Implement missing clean rule

 -- Mathieu Malaterre <malat@debian.org>  Wed, 24 Nov 2021 13:33:05 +0100

orthanc-wsi (1.0-4) unstable; urgency=medium

  * Fix build because of update in Orthanc framework. Closes: #997283

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 24 Oct 2021 11:38:12 +0200
