## orthanc-wsi 2.0%2Bdfsg

=== debian/changelog ===
orthanc-wsi (2.0+dfsg-4) unstable; urgency=medium

  * Added dependency on dcmtk-data. Closes: #1076541
  * Fixed license of Resources/sRGB.icc

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 18 Jul 2024 13:53:25 +0200

orthanc-wsi (2.0+dfsg-3) unstable; urgency=medium

  * Added dependency on libpng-dev and libssl-dev. Closes: #1075794

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 06 Jul 2024 00:49:54 +0200

orthanc-wsi (2.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Komolehin Israel Timilehin ]
  * Configured gbp.conf for debian-tests-data
  * New upstream version 2.0+dfsg
  * Configured tests/control for autopkgtest
  * Created test for dicom image transcode
  * Created test for sample dataset generation

  [ Andreas Tille ]
  * No tab in license text (routine-update)
  * Move source package lintian overrides to debian/source.

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Fri, 27 Oct 2023 16:51:41 +0200

orthanc-wsi (2.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 31 Aug 2023 19:00:59 +0200

orthanc-wsi (1.1-4) unstable; urgency=medium

  * Rebuild against dcmtk 3.6.7
  * Move source.lintian-overrides to source/lintian-overrides
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 11:17:33 +0200

orthanc-wsi (1.1-3) unstable; urgency=medium

  * "liborthancframework-dev" must be above 1.9.4. Closes: #1007778

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 16 Mar 2022 18:03:50 +0100
