## orthanc-wsi 2.0+dfsg

=== Applications/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2021 Osimis S.A., Belgium
-# Copyright (C) 2021-2021 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2017-2023 Osimis S.A., Belgium
+# Copyright (C) 2021-2023 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -51,14 +51,14 @@
 if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
   if (ORTHANC_FRAMEWORK_USE_SHARED)    
     include(FindBoost)
-    find_package(Boost COMPONENTS filesystem program_options regex system thread)
+    find_package(Boost COMPONENTS filesystem program_options regex system thread date_time)
     
     if (NOT Boost_FOUND)
       message(FATAL_ERROR "Unable to locate Boost on this system")
     endif()
 
     include(FindDCMTK)
-    link_libraries(${Boost_LIBRARIES} ${DCMTK_LIBRARIES} jsoncpp)
+    link_libraries(${Boost_LIBRARIES} ${DCMTK_LIBRARIES} jsoncpp crypto)
   endif()
   
   link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})
@@ -197,6 +197,8 @@
   ${OPENJPEG_SOURCES}
   )
 
+DefineSourceBasenameForTarget(OrthancWSIFramework)
+
 
 #####################################################################
 ## Build the WSI DICOM-izer
@@ -226,6 +228,8 @@
   ${DICOMIZER_RESOURCES}
   )
 
+DefineSourceBasenameForTarget(OrthancWSIDicomizer)
+
 target_link_libraries(OrthancWSIDicomizer OrthancWSIFramework ${DCMTK_LIBRARIES})
 
 install(
@@ -262,6 +266,8 @@
   ${DICOM_TO_TIFF_RESOURCES}
   )
 
+DefineSourceBasenameForTarget(OrthancWSIDicomToTiff)
+
 target_link_libraries(OrthancWSIDicomToTiff OrthancWSIFramework ${DCMTK_LIBRARIES})
 
 install(
