=== ViewerPlugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2021 Osimis S.A., Belgium
-# Copyright (C) 2021-2021 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2017-2023 Osimis S.A., Belgium
+# Copyright (C) 2021-2023 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -145,7 +145,7 @@
 if (STATIC_BUILD OR NOT USE_SYSTEM_OPENLAYERS)
   DownloadPackage(
     "77e57aad873c2d4deea8bb1446e9b87a"
-    "http://orthanc.osimis.io/ThirdPartyDownloads/openlayers-3.19.0-dist.zip"
+    "https://orthanc.uclouvain.be/third-party-downloads/openlayers-3.19.0-dist.zip"
     "v3.19.0-dist")
   
   set(OPENLAYERS_RESOURCES
@@ -170,9 +170,11 @@
 
 EmbedResources(
   ${OPENLAYERS_RESOURCES}
-  ORTHANC_EXPLORER  ${CMAKE_SOURCE_DIR}/OrthancExplorer.js
-  VIEWER_HTML       ${CMAKE_SOURCE_DIR}/viewer.html
-  VIEWER_JS         ${CMAKE_SOURCE_DIR}/viewer.js
+  ORTHANC_EXPLORER     ${CMAKE_SOURCE_DIR}/OrthancExplorer.js
+  VIEWER_HTML          ${CMAKE_SOURCE_DIR}/viewer.html
+  VIEWER_JS            ${CMAKE_SOURCE_DIR}/viewer.js
+  MIRADOR_HTML         ${CMAKE_SOURCE_DIR}/mirador.html
+  OPEN_SEADRAGON_HTML  ${CMAKE_SOURCE_DIR}/openseadragon.html
   )
 
 
@@ -183,8 +185,10 @@
 
 set(ORTHANC_WSI_SOURCES
   DicomPyramidCache.cpp
+  IIIF.cpp
   OrthancPluginConnection.cpp
   Plugin.cpp
+  RawTile.cpp
 
   ${ORTHANC_WSI_DIR}/Framework/DicomToolbox.cpp
   ${ORTHANC_WSI_DIR}/Framework/Enumerations.cpp
@@ -236,6 +240,8 @@
   ${OPENJPEG_SOURCES}
   )
 
+DefineSourceBasenameForTarget(OrthancWSI)
+
 message("Setting the version of the library to ${ORTHANC_WSI_VERSION}")
 set_target_properties(OrthancWSI PROPERTIES 
   VERSION ${ORTHANC_WSI_VERSION}
