=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
 
-export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 export VIEWER_TARGET := libOrthancWSI.so
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
