=== debian/tests/control ===
Tests: run-generate-dataset-test, run-dicom-image-transcode-test
Depends: orthanc, orthanc-wsi
Restrictions: needs-root, allow-stderr
