=== ViewerPlugin/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,8 @@
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
 # Copyright (C) 2017-2023 Osimis S.A., Belgium
-# Copyright (C) 2021-2023 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2024-2024 Orthanc Team SRL, Belgium
+# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -145,7 +146,7 @@
 if (STATIC_BUILD OR NOT USE_SYSTEM_OPENLAYERS)
   DownloadPackage(
     "77e57aad873c2d4deea8bb1446e9b87a"
-    "https://orthanc.uclouvain.be/third-party-downloads/openlayers-3.19.0-dist.zip"
+    "https://orthanc.uclouvain.be/downloads/third-party-downloads/openlayers-3.19.0-dist.zip"
     "v3.19.0-dist")
   
   set(OPENLAYERS_RESOURCES
@@ -190,6 +191,7 @@
   Plugin.cpp
   RawTile.cpp
 
+  ${ORTHANC_WSI_DIR}/Framework/ColorSpaces.cpp
   ${ORTHANC_WSI_DIR}/Framework/DicomToolbox.cpp
   ${ORTHANC_WSI_DIR}/Framework/Enumerations.cpp
   ${ORTHANC_WSI_DIR}/Framework/ImageToolbox.cpp
@@ -204,6 +206,7 @@
   ${ORTHANC_WSI_DIR}/Resources/Orthanc/Stone/DicomDatasetReader.cpp
   ${ORTHANC_WSI_DIR}/Resources/Orthanc/Stone/FullOrthancDataset.cpp
   ${ORTHANC_WSI_DIR}/Resources/Orthanc/Stone/IOrthancConnection.cpp
+  ${ORTHANC_WSI_DIR}/Resources/Orthanc/StoneToolbox.cpp
   )
 
 
@@ -240,7 +243,9 @@
   ${OPENJPEG_SOURCES}
   )
 
-DefineSourceBasenameForTarget(OrthancWSI)
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancWSI)
+endif()
 
 message("Setting the version of the library to ${ORTHANC_WSI_VERSION}")
 set_target_properties(OrthancWSI PROPERTIES
