=== debian/changelog ===
orthanc-wsi (2.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Oct 2024 16:49:38 +0200
