=== debian/changelog ===
orthanc-wsi (3.0+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for libdcmtk19.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 Feb 2025 14:50:28 +0000

orthanc-wsi (3.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 20 Dec 2024 18:43:23 +0100
