=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc-wsi
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -11,21 +10,24 @@
                libdcmtk-dev,
                libopenjp2-7-dev,
                liborthancframework-dev (>= 1.9.4),
+               libpng-dev,
+               libssl-dev,
                libtiff-dev,
                orthanc-dev,
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-wsi
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-wsi.git
-Homepage: https://www.orthanc-server.com/static.php?page=wsi
+Homepage: https://orthanc.uclouvain.be/book/plugins/wsi.html
 Rules-Requires-Root: no
 
 Package: orthanc-wsi
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${dcmtk-data:Depends}
 Recommends: orthanc (>= 1.9.7+dfsg-6),
             libopenslide0
 Built-Using: ${orthancframework:Built-Using}
