=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,14 @@
 # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989126
 # Adapted from:
 # https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
+#
+# In addition, automated generation of the "Depends" on "dcmtk-data"
+# to access the DICOM dictionaries during runtime:
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1076541
 override_dh_gencontrol:
-	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
+	dh_gencontrol -- \
+		-Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)" \
+		-Vdcmtk-data:Depends="$(shell dpkg-query -f '$${binary:Package} (>= $${source:Upstream-Version}), ' -W dcmtk-data)"
 
 override_dh_auto_configure:
         # Configure the command-line tools
