## orthanc-wsi 3.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libcurl4-openssl-dev | libcurl4-dev,
-               libdcmtk-dev,
+               libdcmtk-dev (>= 3.6.9-5),
                libopenjp2-7-dev,
-               liborthancframework-dev (>= 1.9.4),
+               liborthancframework-dev (>= 1.12.7+dfsg-2),
                libpng-dev,
                libssl-dev,
                libtiff-dev,
                orthanc-dev,
+               unzip,
                uuid-dev,
-               yui-compressor,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-wsi
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-wsi.git
 Homepage: https://orthanc.uclouvain.be/book/plugins/wsi.html
@@ -27,8 +27,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${dcmtk-data:Depends}
-Recommends: orthanc (>= 1.9.7+dfsg-6),
+         dcmtk-data (>= 3.6.9-5)
+Recommends: orthanc (>= 1.12.7+dfsg-2),
             libopenslide0
 Built-Using: ${orthancframework:Built-Using}
 Description: Whole-slide imaging support for Orthanc (digital pathology)
